Oracle Linux 5:openssl097a (ELSA-2010-0164)

medium Nessus 插件 ID 68018
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 Oracle Linux 主机缺少安全更新。

描述

来自 Red Hat 安全公告 2010:0164:

更新后的 openssl097a 程序包修复了一个安全问题,现在可用于 Red Hat Enterprise Linux 5。

Red Hat 安全响应团队已将此更新评级为具有中等安全影响。可从“参考”部分中的 CVE 链接获取通用漏洞评分系统 (CVSS) 基本分数,其给出了详细的严重性等级。

OpenSSL 是用于实现安全套接字层 (SSL v2/v3) 和传输层安全 (TLS v1) 协议以及强大的通用密码库的工具包。

已在 TLS/SSL(传输层安全/安全套接字层)协议处理会话重新协商的方式中发现一个缺陷。中间人攻击者可利用此缺陷将任意纯文本作为前缀添加至客户端的会话(例如与网站的 HTTPS 连接)。这可强制服务器处理攻击者的请求,就像使用受害者的凭据经认证一样。此更新通过实现 TLS 重新协商标识扩展来解决此缺陷,如 RFC 5746 中所定义。
(CVE-2009-3555)

请参阅以下知识库文章以了解关于此缺陷的更多详细信息:http://kbase.redhat.com/faq/docs/DOC-20491

所有 openssl097a 用户都应升级这些更新后的程序包,其中包含用于解决此问题的向后移植的修补程序。为使更新生效,必须重新启动所有链接到 openssl097a 库的服务,或重新启动系统。

解决方案

更新受影响的 openssl097a 程序包。

另见

https://oss.oracle.com/pipermail/el-errata/2010-March/001405.html

插件详情

严重性: Medium

ID: 68018

文件名: oraclelinux_ELSA-2010-0164.nasl

版本: 1.9

类型: local

代理: unix

发布时间: 2013/7/12

最近更新时间: 2021/1/14

依存关系: ssh_get_info.nasl

风险信息

VPR

风险因素: Low

分数: 3.3

CVSS v2

风险因素: Medium

基本分数: 5.8

时间分数: 4.5

矢量: AV:N/AC:M/Au:N/C:N/I:P/A:P

时间矢量: E:POC/RL:OF/RC:C

漏洞信息

CPE: p-cpe:/a:oracle:linux:openssl097a, cpe:/o:oracle:linux:5

必需的 KB 项: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

可利用: true

易利用性: Exploits are available

补丁发布日期: 2010/3/26

漏洞发布日期: 2009/11/9

参考资料信息

CVE: CVE-2009-3555

RHSA: 2010:0164

CWE: 310